
ChiliProject - Bug # 501: Updating a ticket that was created by email forces a "change" of description

Status: Closed Priority: Normal
Author: Ryan Briones Category: Mail Receiving
Created: 2011-06-30 Assignee: Eric Davis
Updated: 2011-07-01 Due date:
Remote issue URL:
Affected version: unstable
Description: Version: ChiliProject 2.0.0 RC1

Scenario:
# Send an email that gets pulled in to ChiliProject as an "incoming email"
# Ticket is created
# Go to Web UI for newly created ticket
# Edit
# Change nothing
# Submit edit form
# Ticket shows "Description has changed" from "abc" to "abc";

I thought at first it was an Rich Text or HTML formatted email thing, but I sent a plaintext email and it did the 
same thing. My guess is the JournalFormatter related stuff, setup by 
@register_on_journal_formatter(:plaintext, 'subject', 'description')@ is changing the value of description when 
journaling for the first time.

Associated revisions
2011-07-01 09:25 pm - Eric Davis
[#501] Ugly patch to stop creating journals when only line endings change

History
2011-07-01 05:22 pm - Eric Davis
- Assignee set to Eric Davis

Confirmed. The first update creates a journal that says the description changed, even though it didn't. Looking into it now.

2011-07-01 06:33 pm - Eric Davis
It looks like the problem is from line endings. The mail is using "\n" in the description but when you update the issue the browser changes them to "\r\n" 
which makes a journal update. Really odd.

2011-07-01 07:28 pm - Eric Davis
- Status changed from Open to Closed

This was difficult to test and fix but I think I have a work around for now. When an issue is updated and the only change in the description is line 
endings, then the description will no longer be included in the journal.

commit:32f92a5
